Bug 208720 - wireless-tools needs to be upgraded to interact with post-2.6.18-git8 kernels
wireless-tools needs to be upgraded to interact with post-2.6.18-git8 kernels
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-09-30 16:32 EDT by Alessandro Suardi
Modified: 2008-04-04 17:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 17:19:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alessandro Suardi 2006-09-30 16:32:06 EDT
+++ This bug was initially created as a clone of Bug #208719 +++

Description of problem:

WPA association fails between ipw2200 card and D-Link DSL-G604T AP
 after updating from Torvalds kernel 2.6.18-git8 to 2.6.18-git9.

2.6.18-git9 Torvalds kernels introduce wireless extensions v21,
 which are already known to break wireless-tools-28.0.pre13.5.1
 as per Jean Tourrhiles comments in this lkml thread:


 as it turns out from further tests, updating wireless-tools to
 Jean's latest tarball (wireless_tools.29.pre10.tar.gz) is a
 requirement (though not enough; wpa_supplicant is also an user
 of wireless extensions and needs to be built from the 0.4.9
 sources to make WPA association work again with 2.6.18-git9
 and further).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. boot a 2.6.18-git9 or later kernel
2. ifup eth1
3. wpa_supplicant -B -Dwext -ieth1 -c /etc/wpa_supplicant/wpa_supplicant.conf
Actual results:

ip a reports eth1 as NO-CARRIER and pinging the AP doesn't work

Expected results:

networking functionality should be available

Additional info:

This bug is filed upon suggestion by Dave Jones at the end of the
 mentioned lkml thread.
Comment 3 Bug Zapper 2008-04-03 23:53:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Alessandro Suardi 2008-04-04 17:19:24 EDT
Changing to NOTABUG, as DaveJ seems to never have really took a look here :)

For the record, the kernel transaction that introduced the incompatibility was
temporarily reverted a while ago until wireless-tools-29 was released, according
to Linus' policy "kernel changes must not break userspace".

Note You need to log in before you can comment on or make changes to this bug.